﻿@media not screen and (min-width: 1024.5px) and (min-aspect-ratio: 16/10) {
  #index {
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    min-height: 100vh;
  }
  #index header {
    width: 100%;
    display: block;
    overflow: hidden;
    position: relative;
    border-bottom: #f5f5f6 0.5rem solid;
  }
  #index header::after {
    content: " ";
    z-index: 1;
    top: 0;
    left: 0;
    bottom: 0;
    right: -3%;
    position: absolute;
    background-image: url("https://esa-static.ziguijia.cn/images/lion.png");
    background-position: right;
    background-repeat: no-repeat;
    background-size: 30%;
    opacity: 0.08;
  }
  #index aside {
    padding: 1rem;
  }
  #index input[type="radio"] {
    display: none;
  }
  #index input[type="radio"] + label::after {
    padding: 0.25rem 1rem;
    margin: 0 0.5rem;
    content: "继续阅读";
    white-space: nowrap;
    color: #fff;
    font-size: 80%;
    background-color: #3e13af;
    border-radius: 0.25rem;
  }
  #index input[type="radio"] ~ p {
    margin: 0;
    max-height: 0;
    overflow: hidden;
    transition: all 1s;
  }
  #index input[type="radio"]:checked ~ label {
    display: none;
  }
  #index input[type="radio"]:checked ~ p {
    max-height: 20rem !important;
    margin: 1em 0;
  }
  #index main {
    max-width: calc(100vw - 1em);
  }
}
@media screen and (min-width: 1024.5px) and (min-aspect-ratio: 16/10) {
  #index > * {
    padding-top: 2rem;
    text-align: justify;
  }
  #index h1 {
    width: calc(100% + 1.5rem);
    white-space: nowrap;
    margin-top: -3rem;
    margin-left: -0.5rem;
    padding-top: 3rem;
    padding-left: 0.5rem;
  }
  #index header {
    min-width: 14rem;
    max-width: 20rem;
    background-color: gold;
    background-image: url("https://esa-static.ziguijia.cn/images/logoV.png");
    background-position: center 1rem;
    background-repeat: no-repeat;
    background-size: 50%;
    border-right: #f5f5f6 0.5rem solid;
    min-height: 100vh;
  }
  #index header a {
    display: block;
    position: fixed;
    bottom: 0;
    width: 12rem;
    height: 12rem;
    background-image: url("https://esa-static.ziguijia.cn/images/lion.png");
    background-position: center 80%;
    background-repeat: no-repeat;
    background-size: 30%;
    opacity: 0.25;
  }
  #index header a img {
    visibility: hidden;
  }
  #index aside {
    margin: 0 3rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    width: 100%;
    max-width: 40vw;
  }
  #index aside p {
    text-indent: 1.25rem;
  }
  #index input[type="radio"],
  #index label {
    display: none;
  }
}
#index header {
  background-color: gold;
}
#index aside {
  margin-bottom: 1em;
}
#index aside > * {
  line-height: 150%;
}
#index main {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-content: flex-start;
  padding-left: 0.5em;
}
#index main dl {
  letter-spacing: 0.25rem;
  width: 50%;
  margin-bottom: 2rem;
}
#index main dl.c {
  width: 100%;
}
#index main dl.announcement {
  width: 100%;
  margin-bottom: 2em;
  letter-spacing: 0 !important;
  background-color: #f5f5f6;
  border-radius: 0.5em;
}
#index main dl.announcement h5 {
  padding-left: 0.5em;
  line-height: 300%;
  background-color: gold;
}
#index main dl.announcement p {
  margin: 0.5em;
  text-indent: 1em;
}
#index main dl.announcement li {
  list-style-type: decimal !important;
  margin-left: 2.5em;
  margin-bottom: 0.25em;
  margin-right: 1em;
}
#index main dt {
  padding: 0.5rem;
}
#index main dd {
  width: calc(100% + 1rem);
  padding: 0.5rem;
  display: flex;
  flex-wrap: wrap;
  align-items: baseline;
}
#index main dd > * {
  line-height: 200%;
}
#index main a {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
#index main a:not(:last-of-type) {
  padding-right: 1rem;
}
#index main a:hover {
  font-weight: bold;
}
#index main u {
  width: 100%;
}
#index main s {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  padding-left: 0.5rem;
}
#index main .l a:last-of-type,
#index main .s a:last-of-type {
  width: 100%;
}
#index main .l a:nth-last-child(2),
#index main .s a:nth-last-child(2) {
  padding-right: 0;
}
#index main .l a:not(:last-child)::after {
  content: "；";
}
#index main .s a:not(:last-child)::after {
  content: "、";
}
#index main .y s {
  letter-spacing: 0;
}
#index .search form {
  white-space: nowrap;
  width: 100%;
}
#index .search form > *:not(:last-child) {
  margin-right: 0.5em;
}
#index .search form input {
  width: 20em;
  max-width: calc(100% - 7.5em);
  background: #e1e2e1;
}
#index .search form input:focus {
  box-shadow: 0 0 1px #3e13af;
  background-color: #fff;
}
#index .search form button {
  color: #fff;
  background-color: #3e13af;
  position: relative;
}
#index .search form button:hover {
  font-weight: bold;
}
#index .search form button:active,
#index .search form button:focus {
  color: rgba(255, 255, 255, 0);
}
#index .search form button:active:before,
#index .search form button:focus:before {
  content: "";
  color: #fff;
  position: absolute;
  left: 0.75em;
  top: 0.35em;
  width: 1.25em;
  height: 1.25em;
  border: 0.15em solid;
  border-left-color: rgba(0, 0, 0, 0);
  border-right-color: rgba(0, 0, 0, 0);
  border-radius: 75%;
  transition: opacity 0.5s;
  animation: spin 1s linear infinite;
}
#index s.media {
  padding: 0;
}
#index s.media a {
  margin-top: 1em;
  min-width: 2em !important;
  padding: 0;
  width: 1em;
  height: 1em;
  background-size: contain;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  filter: brightness(60%) opacity(0.2);
}
#index s.media a:hover {
  filter: opacity(1);
}
#index s.media .wx {
  background-image: url("https://download.ziguijia.com/etc?name=media_wx.png");
}
#index s.media .yt {
  background-image: url("https://download.ziguijia.com/etc?name=media_yt.png");
}
#index s.media .fb {
  background-image: url("https://download.ziguijia.com/etc?name=media_fb.png");
}
#index s.licenses {
  padding: 1em 0;
  margin: 0;
}
#index s.licenses a {
  line-height: 100%;
}
